<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>TrackingParams Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">TrackingParams Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>GTRACK Unit Parameters structure.  
 <a href="struct_tracking_params.html#details">More...</a></p>

<p><code>#include &lt;gtrack_int.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aba6fcd3e3e47c2984bfce515914ef328"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba6fcd3e3e47c2984bfce515914ef328"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#aba6fcd3e3e47c2984bfce515914ef328">uid</a></td></tr>
<tr class="memdesc:aba6fcd3e3e47c2984bfce515914ef328"><td class="mdescLeft">&#160;</td><td class="mdescRight">Track Unit Identifier (UID) <br /></td></tr>
<tr class="separator:aba6fcd3e3e47c2984bfce515914ef328"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c7e203bc2bc6f1a8c4275315514aa1f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c7e203bc2bc6f1a8c4275315514aa1f"></a>
<a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf4e7f0c554d80908c50d5bbdc233ce6c">GTRACK_STATE_VECTOR_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#a3c7e203bc2bc6f1a8c4275315514aa1f">stateVectorType</a></td></tr>
<tr class="memdesc:a3c7e203bc2bc6f1a8c4275315514aa1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">State vector type to use. <br /></td></tr>
<tr class="separator:a3c7e203bc2bc6f1a8c4275315514aa1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32f22333a6e4d9bae9f434d3cfe0009a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32f22333a6e4d9bae9f434d3cfe0009a"></a>
uint64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#a32f22333a6e4d9bae9f434d3cfe0009a">verbose</a></td></tr>
<tr class="memdesc:a32f22333a6e4d9bae9f434d3cfe0009a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Verbosenes mask to use. <br /></td></tr>
<tr class="separator:a32f22333a6e4d9bae9f434d3cfe0009a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9747bddcc7f01e22af780eee762f216"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af9747bddcc7f01e22af780eee762f216"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#af9747bddcc7f01e22af780eee762f216">initialRadialVelocity</a></td></tr>
<tr class="memdesc:af9747bddcc7f01e22af780eee762f216"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expected target radial velocity at the moment of detection, m/s. <br /></td></tr>
<tr class="separator:af9747bddcc7f01e22af780eee762f216"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17399d763777d872c581e8593886b0f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a17399d763777d872c581e8593886b0f2"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#a17399d763777d872c581e8593886b0f2">maxRadialVelocity</a></td></tr>
<tr class="memdesc:a17399d763777d872c581e8593886b0f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Absolute value of maximum radial velocity, m/s. <br /></td></tr>
<tr class="separator:a17399d763777d872c581e8593886b0f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3d14d36dc2c279db848d9e34ee6aba4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac3d14d36dc2c279db848d9e34ee6aba4"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#ac3d14d36dc2c279db848d9e34ee6aba4">radialVelocityResolution</a></td></tr>
<tr class="memdesc:ac3d14d36dc2c279db848d9e34ee6aba4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Radial velocity resolution, m/s. <br /></td></tr>
<tr class="separator:ac3d14d36dc2c279db848d9e34ee6aba4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fc110d0b49a5f13e1a598c529fad1ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2fc110d0b49a5f13e1a598c529fad1ca"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#a2fc110d0b49a5f13e1a598c529fad1ca">maxAcceleration</a></td></tr>
<tr class="memdesc:a2fc110d0b49a5f13e1a598c529fad1ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum target acceleration. <br /></td></tr>
<tr class="separator:a2fc110d0b49a5f13e1a598c529fad1ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae996a32c6f93ae589a63223627fc105e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae996a32c6f93ae589a63223627fc105e"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#ae996a32c6f93ae589a63223627fc105e">deltaT</a></td></tr>
<tr class="memdesc:ae996a32c6f93ae589a63223627fc105e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Frame rate. <br /></td></tr>
<tr class="separator:ae996a32c6f93ae589a63223627fc105e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af286672572b23d7d90e1085c5035f12b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af286672572b23d7d90e1085c5035f12b"></a>
<a class="el" href="struct_g_t_r_a_c_k__gating_params.html">GTRACK_gatingParams</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#af286672572b23d7d90e1085c5035f12b">gatingParams</a></td></tr>
<tr class="memdesc:af286672572b23d7d90e1085c5035f12b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gating parameters. <br /></td></tr>
<tr class="separator:af286672572b23d7d90e1085c5035f12b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4aff7abc16bc8cc22da0188bab654ff5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4aff7abc16bc8cc22da0188bab654ff5"></a>
<a class="el" href="struct_g_t_r_a_c_k__allocation_params.html">GTRACK_allocationParams</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#a4aff7abc16bc8cc22da0188bab654ff5">allocationParams</a></td></tr>
<tr class="memdesc:a4aff7abc16bc8cc22da0188bab654ff5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allocation parameters. <br /></td></tr>
<tr class="separator:a4aff7abc16bc8cc22da0188bab654ff5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32c6b5b497a8a3617409131ce50af729"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32c6b5b497a8a3617409131ce50af729"></a>
<a class="el" href="struct_g_t_r_a_c_k__unrolling_params.html">GTRACK_unrollingParams</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#a32c6b5b497a8a3617409131ce50af729">unrollingParams</a></td></tr>
<tr class="memdesc:a32c6b5b497a8a3617409131ce50af729"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unrolling parameters. <br /></td></tr>
<tr class="separator:a32c6b5b497a8a3617409131ce50af729"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54b6f25a4004d6998f2589496dea40eb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a54b6f25a4004d6998f2589496dea40eb"></a>
<a class="el" href="struct_g_t_r_a_c_k__state_params.html">GTRACK_stateParams</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#a54b6f25a4004d6998f2589496dea40eb">stateParams</a></td></tr>
<tr class="memdesc:a54b6f25a4004d6998f2589496dea40eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">State parameters. <br /></td></tr>
<tr class="separator:a54b6f25a4004d6998f2589496dea40eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c369e65ccbb74fcaa3290519c1c095a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c369e65ccbb74fcaa3290519c1c095a"></a>
<a class="el" href="struct_g_t_r_a_c_k__var_params.html">GTRACK_varParams</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#a6c369e65ccbb74fcaa3290519c1c095a">variationParams</a></td></tr>
<tr class="memdesc:a6c369e65ccbb74fcaa3290519c1c095a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Variation parameters. <br /></td></tr>
<tr class="separator:a6c369e65ccbb74fcaa3290519c1c095a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66b0f056128a3c1aec44f64d4c99e8cd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a66b0f056128a3c1aec44f64d4c99e8cd"></a>
<a class="el" href="struct_g_t_r_a_c_k__scenery_params.html">GTRACK_sceneryParams</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#a66b0f056128a3c1aec44f64d4c99e8cd">sceneryParams</a></td></tr>
<tr class="memdesc:a66b0f056128a3c1aec44f64d4c99e8cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scenery parameters. <br /></td></tr>
<tr class="separator:a66b0f056128a3c1aec44f64d4c99e8cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a426f26e5e2d35646c4aec1dfcb4e7026"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a426f26e5e2d35646c4aec1dfcb4e7026"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#a426f26e5e2d35646c4aec1dfcb4e7026">F4</a> [4 *4]</td></tr>
<tr class="memdesc:a426f26e5e2d35646c4aec1dfcb4e7026"><td class="mdescLeft">&#160;</td><td class="mdescRight">2D State Transition Matrix, size is 4x4 <br /></td></tr>
<tr class="separator:a426f26e5e2d35646c4aec1dfcb4e7026"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a416355ddcee29a58944bf031a153213e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a416355ddcee29a58944bf031a153213e"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#a416355ddcee29a58944bf031a153213e">F6</a> [6 *6]</td></tr>
<tr class="memdesc:a416355ddcee29a58944bf031a153213e"><td class="mdescLeft">&#160;</td><td class="mdescRight">2DA State Transition Matrix, size is 6x6 <br /></td></tr>
<tr class="separator:a416355ddcee29a58944bf031a153213e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99719f89d116ba6a4954aecb3c460359"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a99719f89d116ba6a4954aecb3c460359"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#a99719f89d116ba6a4954aecb3c460359">Q4</a> [4 *4]</td></tr>
<tr class="memdesc:a99719f89d116ba6a4954aecb3c460359"><td class="mdescLeft">&#160;</td><td class="mdescRight">2D Process Noise Matrix, size is 4x4 <br /></td></tr>
<tr class="separator:a99719f89d116ba6a4954aecb3c460359"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefa00a5803b6cd849a823c44e6a9ee28"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aefa00a5803b6cd849a823c44e6a9ee28"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html#aefa00a5803b6cd849a823c44e6a9ee28">Q6</a> [6 *6]</td></tr>
<tr class="memdesc:aefa00a5803b6cd849a823c44e6a9ee28"><td class="mdescLeft">&#160;</td><td class="mdescRight">2DA Process Noise Matrix, size is 6x6 <br /></td></tr>
<tr class="separator:aefa00a5803b6cd849a823c44e6a9ee28"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>GTRACK Unit Parameters structure. </p>
<p>The structure describes the parameters used to instantiate GTRACK unit instance </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/<a class="el" href="gtrack__int_8h.html">gtrack_int.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
